package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Visa_billing;
import com.realnet.vpspack.Services.Visa_billingService ;


@RequestMapping(value = "/Visa_billing")
 @CrossOrigin("*") 
@RestController
public class Visa_billingController {
	@Autowired
	private Visa_billingService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Visa_billing")
		  public Visa_billing Savedata(@RequestBody Visa_billing data) {
		Visa_billing save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Visa_billing/{id}")
	public  Visa_billing update(@RequestBody Visa_billing data,@PathVariable Integer id ) {
		Visa_billing update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Visa_billing/getall/page")
	public Page<Visa_billing> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Visa_billing> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Visa_billing")
	public List<Visa_billing> getdetails() {
		 List<Visa_billing> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Visa_billing")
	public List<Visa_billing> getallwioutsec() {
		 List<Visa_billing> get = Service.getdetails();		
		return get;
}
@GetMapping("/Visa_billing/{id}")
	public  Visa_billing  getdetailsbyId(@PathVariable Integer id ) {
		Visa_billing  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Visa_billing/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}